Bug 24506 - Multibranch limit does not work with ElasticSearch
Summary: Multibranch limit does not work with ElasticSearch
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching - Elasticsearch (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Andreas Jonsson
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-24 10:12 UTC by Andreas Jonsson
Modified: 2020-02-17 10:46 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24506: Multibranch limit does not work with ElasticSearch (1.59 KB, patch)
2020-01-24 10:14 UTC, Andreas Jonsson
Details | Diff | Splinter Review
Bug 24506: Multibranch limit does not work with ElasticSearch (2.05 KB, patch)
2020-02-13 15:46 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24506: Multibranch limit does not work with ElasticSearch (2.10 KB, patch)
2020-02-14 17:54 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Jonsson 2020-01-24 10:12:08 UTC
Test plan

1. Set up a system with ElasticSearch
2. Set up or make sure ther are at least two branches
3. create a group of branches
4. make sure there are items associated with any library in the group
5. make a search in opac limited by the library group
6. make an advanced search in intra limited by the library group
7. change SearchEngine system preference to Zebra and repeat 5. and 6.
Comment 1 Andreas Jonsson 2020-01-24 10:14:31 UTC
Created attachment 97863 [details] [review]
Bug 24506: Multibranch limit does not work with ElasticSearch
Comment 2 Jonathan Druart 2020-02-13 15:46:04 UTC
Created attachment 98859 [details] [review]
Bug 24506: Multibranch limit does not work with ElasticSearch

Test plan
1. Set up a system with ElasticSearch
2. Set up or make sure ther are at least two branches
3. create a group of branches
4. make sure there are items associated with any library in the group
5. make a search in opac limited by the library group
6. make an advanced search in intra limited by the library group
7. change SearchEngine system preference to Zebra and repeat 5. and 6.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Nick Clemens 2020-02-14 17:54:39 UTC
Created attachment 98998 [details] [review]
Bug 24506: Multibranch limit does not work with ElasticSearch

Test plan
1. Set up a system with ElasticSearch
2. Set up or make sure ther are at least two branches
3. create a group of branches
4. make sure there are items associated with any library in the group
5. make a search in opac limited by the library group
6. make an advanced search in intra limited by the library group
7. change SearchEngine system preference to Zebra and repeat 5. and 6.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Martin Renvoize 2020-02-17 10:46:06 UTC
Nice work everyone!

Pushed to master for 20.05